Feedback

/I received the error “The specified program requires a newer version of Windows”
I received the error “The specified program requires a newer version of Windows”2018-07-24T15:40:11+00:00

Visual Studio 2015 FAQ

Back to Support

How can we help?

I received the error “The specified program requires a newer version of Windows”

Symptoms

You want to install Visual Studio 2015 on a computer already having Windows 7 SP1 or newer installed but you receive an error message that the Visual Studio installer requires a newer version of Windows.

screenshot of Visual Studio installer newer version of Windows

Resolution

Customers may receive this error during a Visual Studio 2015 installation due to automatically applied compatibility settings which lower the Windows run-time incorrectly. To work around this issue, remove compatibility settings in the Visual Studio installer.

  1. Right-click the Visual Studio Installer icon.
  2. Select Properties > Compatibility tab.
  3. Select Change settings for all users.
  4. Uncheck Run this program in compatibility mode for < select your OS >

    screenshot of Win Newer Version Error Solution

  5. Click Ok.
  6. Exit the configuration window.
  7. Launch the Visual Studio Installer again.

    screenshot of VS Installer

Back to Support